Boost on Android-ndk

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Boost on Android-ndk

Boost - Users mailing list
Hi everyone,

     I want to build a boost on android-ndk in ubuntu18.04,I had tried boost 1.58 and 1.68 on android-ndk r10e r13b r15c,and all failed at the step "./b2 \"with error"version 'xx' of default 'g++' does not match".Hope to know how to solve the problem or tell me how to install successfully with the right version in ubuntu18.04.

Best Regard,
Philip Liu


_______________________________________________
Boost-users mailing list
[hidden email]
https://lists.boost.org/mailman/listinfo.cgi/boost-users
Reply | Threaded
Open this post in threaded view
|

Re: Boost on Android-ndk

Boost - Users mailing list
On 2018-11-29 6:19 p.m., Philip_liu via Boost-users wrote:
     I want to build a boost on android-ndk in ubuntu18.04,I had tried boost 1.58 and 1.68 on android-ndk r10e r13b r15c,and all failed at the step "./b2 \"with error"version 'xx' of default 'g++' does not match".Hope to know how to solve the problem or tell me how to install successfully with the right version in ubuntu18.04.

You might try a blog entry I made at

http://blog.raymond.burkholder.net/index.php?/archives/935-Android-NDK-Builds-with-LibSodium-and-Boost.html

It may help you monkey with all the pieces needed to build and include boost in various architectures on android



_______________________________________________
Boost-users mailing list
[hidden email]
https://lists.boost.org/mailman/listinfo.cgi/boost-users